package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItempoolActivitySaveRequest struct {
	/*
	   更新商品池活动参数     */
	Param *domain.AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItempoolActivitySaveRequest) SetParam(v domain.AlibabaRetailMarketingItempoolActivitySaveItemPoolActivityOperateRequest) *AlibabaRetailMarketingItempoolActivitySaveRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItempoolActivitySaveRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItempoolActivitySaveRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
